Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024603
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-08-28 08:342013-09-18 17:44
ReporterjecharriView Statuspublic 
Assigned Toadrianromero 
PriorityurgentResolutionfixedFixed in VersionRMP27
StatusclosedFix in branchFixed in SCM revision5baa572f39a9
ProjectionnoneETAnoneTarget VersionRMP27
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024603: Rounding in Web POS quantity

DescriptionRounding in Web POS quantity

Currently Web POS is rounding the quantity to 2 decimals
Steps To Reproduce-Login in Web POS
-Insert a product

If you try to insert quantity --> 1.234 you will see that Web POS round it to 1.23

Above behaviour is wrong, the clients should be able to insert 3 decimals minimun. The real solution will be to allow the standard precision defined for Unit (window "Unit of Meassure" --> field "Standard precision")
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0024602 newRetail With 2 precisions we should manage the price list creation 
related to design defect 0024601 newRetail Still we continue having problems with rounding in web POS 
related to defect 0024563RMP27 closedadrianromero Problems with rounding in web POS 
related to design defect 0024604 newRetail It is neccesary to add 2 new entries in file "Format.xml" 

-  Notes
(0060818)
hgbot (developer)
2013-08-29 14:19

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: f5484a29255e04edd7e9235fcb6ca67ccb7b3ba7
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Thu Aug 29 14:16:14 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/f5484a29255e04edd7e9235fcb6ca67ccb7b3ba7 [^]

Fixes issue 0024603: Rounding in Web POS quantity.
Calculating quantity scale from qtyEdition format and adding scale parameter to decimal calculation functions.

---
M web/org.openbravo.mobile.core/source/utils/ob-arithmetic.js
M web/org.openbravo.mobile.core/source/utils/ob-i18n.js
---
(0060837)
hgbot (developer)
2013-08-30 13:22

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5baa572f39a9e64ef56bf942dd4950d67d0d9d76
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Thu Aug 29 13:54:49 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5baa572f39a9e64ef56bf942dd4950d67d0d9d76 [^]

Fixes issue 0024603: Rounding in Web POS quantity.
Now Web POS rounds quantities according format 'qtyEdition' of config file 'Format.xml'

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0060994)
hgbot (developer)
2013-09-10 09:54

Repository: erp/pmods/org.openbravo.mobile.core-levelpricing
Changeset: f5484a29255e04edd7e9235fcb6ca67ccb7b3ba7
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Thu Aug 29 14:16:14 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core-levelpricing/rev/f5484a29255e04edd7e9235fcb6ca67ccb7b3ba7 [^]

Fixes issue 0024603: Rounding in Web POS quantity.
Calculating quantity scale from qtyEdition format and adding scale parameter to decimal calculation functions.

---
M web/org.openbravo.mobile.core/source/utils/ob-arithmetic.js
M web/org.openbravo.mobile.core/source/utils/ob-i18n.js
---
(0060996)
hgbot (developer)
2013-09-10 09:54

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: 5baa572f39a9e64ef56bf942dd4950d67d0d9d76
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Thu Aug 29 13:54:49 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/5baa572f39a9e64ef56bf942dd4950d67d0d9d76 [^]

Fixes issue 0024603: Rounding in Web POS quantity.
Now Web POS rounds quantities according format 'qtyEdition' of config file 'Format.xml'

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---

- Issue History
Date Modified Username Field Change
2013-08-28 08:34 jecharri New Issue
2013-08-28 08:34 jecharri Assigned To => adrianromero
2013-08-28 08:34 jecharri Triggers an Emergency Pack => No
2013-08-28 08:34 jecharri Relationship added related to 0024602
2013-08-28 08:34 jecharri Relationship added related to 0024601
2013-08-28 08:34 jecharri Relationship added related to 0024563
2013-08-28 08:40 jecharri Relationship added related to 0024604
2013-08-29 14:19 hgbot Checkin
2013-08-29 14:19 hgbot Note Added: 0060818
2013-08-29 14:19 hgbot Status new => resolved
2013-08-29 14:19 hgbot Resolution open => fixed
2013-08-29 14:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/f5484a29255e04edd7e9235fcb6ca67ccb7b3ba7 [^]
2013-08-30 13:22 hgbot Checkin
2013-08-30 13:22 hgbot Note Added: 0060837
2013-08-30 13:22 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/f5484a29255e04edd7e9235fcb6ca67ccb7b3ba7 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5baa572f39a9e64ef56bf942dd4950d67d0d9d76 [^]
2013-09-10 09:54 hgbot Checkin
2013-09-10 09:54 hgbot Note Added: 0060994
2013-09-10 09:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5baa572f39a9e64ef56bf942dd4950d67d0d9d76 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core-levelpricing/rev/f5484a29255e04edd7e9235fcb6ca67ccb7b3ba7 [^]
2013-09-10 09:54 hgbot Checkin
2013-09-10 09:54 hgbot Note Added: 0060996
2013-09-10 09:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core-levelpricing/rev/f5484a29255e04edd7e9235fcb6ca67ccb7b3ba7 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/5baa572f39a9e64ef56bf942dd4950d67d0d9d76 [^]
2013-09-18 17:44 marvintm Review Assigned To => marvintm
2013-09-18 17:44 marvintm Status resolved => closed
2013-09-18 17:44 marvintm Fixed in Version => RMP27


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker